#
# spec file for package pcsc-acsccid
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Advanced Card Systems Ltd.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1140
%if %( echo `rpm -q --queryformat %%{version} udev` ) > 190
%define _udevrulesdir /usr/lib/udev/rules.d
%else
%define _udevrulesdir /lib/udev/rules.d
%endif
%endif

Name:           pcsc-acsccid
%define _name acsccid
BuildRequires:  flex
BuildRequires:  libusb-1_0-devel >= 1.0.9
BuildRequires:  pcsc-lite-devel >= 1.8.3
BuildRequires:  pkg-config
%if 0%{?suse_version} >= 1140
BuildRequires:  udev
%endif
Version:        1.1.3
Release:        2.2
Url:            http://acsccid.sourceforge.net/
Summary:        PCSC Driver for ACS CCID Based Smart Card Readers
License:        LGPL-2.1+
Group:          Productivity/Security
Source:         http://downloads.sourceforge.net/%{_name}/%{_name}-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       pcsc-lite >= 1.8.3
%define ifddir %(pkg-config libpcsclite --variable=usbdropdir)

Enhances:       modalias(usb:v072fpb301d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb304d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8300d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8302d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8307d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8301d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp90ccd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp90d8d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb100d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb101d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb102d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb103d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb10cd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb104d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb000d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp90d2d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8306d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2011d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8900d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8901d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8902d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp1205d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp1204d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp1206d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2200d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2214d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp1280d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2207d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp222bd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2206d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp222ed*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2237d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2219d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2203d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp221ad*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2229d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp222dd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2218d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp221bd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2232d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2242d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2238d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp224fd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp223bd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp223ed*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp223dd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2244d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp223fd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2239d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2211d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2100d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2224d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp220fd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2223d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2208d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp0901d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp220ad*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2215d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2220d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2233d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2234d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2235d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2236d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp2213d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp222cd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp220cd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp0102d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp0103d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp0100d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8201d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8202d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp8205d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp90dbd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb200d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fpb106d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp9000d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp90cfd*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp0101d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp9006d*dc*dsc*dp*ic*isc*ip*)
Enhances:       modalias(usb:v072fp90ced*dc*dsc*dp*ic*isc*ip*)

%description
This package contains a ACS USB CCID (Chip/Smart Card Interface
Devices) driver.

This driver is meant to be used with the PCSC-Lite daemon from the
pcsc-lite package.

%prep
%setup -q -n %{_name}-%{version}
cp -a src/openct/LICENSE LICENSE.openct
cp -a src/towitoko/README README.towitoko

%build
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} >= 1140
mkdir -p $RPM_BUILD_ROOT/%{_udevrulesdir}
sed 's:GROUP="pcscd":GROUP="scard":' <src/92_pcscd_acsccid.rules >$RPM_BUILD_ROOT/%{_udevrulesdir}/92_pcscd_acsccid.rules
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE.openct NEWS README README.towitoko
%{ifddir}/*
%if 0%{?suse_version} >= 1140
%{_udevrulesdir}/*.rules
%endif

%changelog
* Thu Jun 23 2016 godfrey.chung@acs.com.hk
- Updated to version 1.1.3.
* Fri Feb 19 2016 godfrey.chung@acs.com.hk
- Updated to version 1.1.2.
* Fri Nov  6 2015 godfrey.chung@acs.com.hk
- Updated to version 1.1.1.
* Mon Dec 15 2014 godfrey.chung@acs.com.hk
- Updated to version 1.1.0.
* Thu Jul  3 2014 godfrey.chung@acs.com.hk
- Updated to version 1.0.8.
* Tue Jun 17 2014 godfrey.chung@acs.com.hk
- Updated to version 1.0.7.
* Wed Apr 23 2014 godfrey.chung@acs.com.hk
- Updated to version 1.0.6.
* Thu Sep  5 2013 godfrey.chung@acs.com.hk
- Updated to version 1.0.5.
* Thu Oct 18 2012 fcrozat@suse.com
- Fix build with new udev rules.d directory location.
* Mon Jun 25 2012 godfrey.chung@acs.com.hk
- Updated to version 1.0.4.
* Fri Jan 13 2012 godfrey.chung@acs.com.hk
- Updated to version 1.0.3.
- Updated copyright.
- Added USB IDs of readers.
- Removed acsccid-1.0.2-pcscd-autostart.patch.
- Removed pcsc-lite-1_7_3.patch.
- Included ChangeLog from upstream.
* Wed Jun 22 2011 wr@rosenauer.org
- fix compatibility with pcsc-lite >= 1.7.3
* Wed Jun 22 2011 godfrey.chung@acs.com.hk
- Updated to version 1.0.2 (22/6/2011):
  * Fix non-redistributable reference manual problem.
- Updated Url and Source.
* Fri Apr 29 2011 godfrey.chung@acs.com.hk
- Created package.
- Based on pcsc-ccid.spec.
